%define pkg_name        RDF-YAML
%define pkg_version     0.11
%define rpm_pkg_version 0.11
%define rpm_pkg_release 2.n0i.2

Summary:       Simple RDF/YAML parser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AU/AUTRIJUS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::MethodMaker) >= 1.00
BuildRequires: perl(YAML) >= 0.30
BuildRequires: perl(RDF::Simple)


%description
This module is a simple RDF/XML parser. It reads a string containing RDF in
YAML, and returns an array of RDF triples.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__rm} -f t/0-signature.t


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.11-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 0.11-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
